Zuviel Werbung? - > Hier kostenlos beim SPS-Forum registrieren

Ergebnis 1 bis 5 von 5

Thema: "Bibliothek [...] besitzt keine gültige Lizenz für das gewählte Target", WAGO HVAC

  1. #1
    Registriert seit
    14.07.2016
    Beiträge
    2
    Danke
    2
    Erhielt 0 Danke für 0 Beiträge

    Frage


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Hallo!

    Ich möchte privat eine Lüftungsanlage für ein Wago-System programmieren. Ich habe etwas Ähnliches vor einigen Jahren schon mal gemacht und wollte deshalb erstmal schauen, ob ich das noch alles hinbekomme, ohne gleich viel Geld für Hardware auszugeben.

    Ich habe also Codesys V3 installiert, ein Projekt angelegt und nun versucht, mir die richtigen Bausteine zu besorgen. Diese finde ich in der library BUILDING_HVAC_03.LIB von Wago (von der Wago homepage runtergeladen).
    Beim Einfügen ins Repository bin ich aber gescheitert: Es meldet sich immer der V2.3 zu V3.0 Converter und verlangt nach einem Passwort (siehe Anhang). Die Lib ist jedoch komplett frei, so weit ich das verstanden habe.

    Als nächstes habe ich Codesys V2.3 installiert, um an die Bausteine ranzukommen.
    Das Einbinden klappt, aber beim Übersetzen bekomme ich folgende Fehlermeldung:

    "Die Bibliothek [Dateipfad]/BUILDING_HVAC_03.LIB besitzt keine gültige Lizenz für das gewählte Target" (siehe Anhang).

    Kann mir jemand sagen, was ich falsch mache? Ich verstehe nicht was mit Target gemeint ist und warum die Lizenz nicht vorhanden sein soll, wo die lib doch free ist.

    Danke im Voraus,

    Matthias
    Angehängte Grafiken Angehängte Grafiken
    • Dateityp: jpg 01.jpg (31,8 KB, 17x aufgerufen)
    • Dateityp: png 02.PNG (54,6 KB, 24x aufgerufen)
    • Dateityp: png 03.PNG (76,4 KB, 24x aufgerufen)
    Zitieren Zitieren "Bibliothek [...] besitzt keine gültige Lizenz für das gewählte Target", WAGO HVAC  

  2. #2
    Registriert seit
    15.01.2005
    Ort
    In der Mitte zwischen Bayreuth/Weiden
    Beiträge
    6.652
    Danke
    310
    Erhielt 1.494 Danke für 1.259 Beiträge

    Standard

    Die Lib ist ausschließlich zur Verwendung mit Wago-Targets = Wago Steuerungen, wobei Targets die Hardware-Definition für Codesys bezeichnet, gedacht.
    Wenn du nun also folgende Sachen mit Ja beantwortest:
    a) Codesys von Wago gekauft?
    b) Die Steuerung die du programmieren willst stammt von Wago

    Dann wende dich an Wago, gelegentlich wird neuere Hardware auch einfach nicht sofort in den div. Libs freigeschalten.
    Falls du eine der obigen Fragen mit Nein beantwortest, dann: Vergiss es.
    Warum denn einfach, wenn man auch Siemens einsetzen kann!

    Wer die grundlegenden Freiheiten aufgibt, um vorübergehend ein wenig Sicherheit zu bekommen, verdient weder Freiheit noch Sicherheit (B. Franklin).

  3. Folgender Benutzer sagt Danke zu MSB für den nützlichen Beitrag:

    Matthias_ (22.07.2016)

  4. #3
    Registriert seit
    13.12.2011
    Beiträge
    963
    Danke
    88
    Erhielt 95 Danke für 92 Beiträge

    Standard

    Hallo Matthias,
    der Hauptgrund das es nicht läuft ist der von MSB geschilderte. Aber selbst wenn Du ein CoDeSys Derivat von Wago mit den Target Dateien einsetzt glaube ich nicht das es funktionieren wird. Du willst ja, wenn ich das richtig verstanden habe, eine V2 Bibliothek nach V3 konvertieren und das wird nicht so einfach gehen, zumindest dann nicht, wenn die Bibliotheken Firmware Funktionen nutzen, denn die gibt es in V3 eventuell nicht.

    Von irgendwas mit Internetzugang gesendet.
    Geändert von oliver.tonn (15.07.2016 um 02:59 Uhr)

  5. Folgender Benutzer sagt Danke zu oliver.tonn für den nützlichen Beitrag:

    Matthias_ (22.07.2016)

  6. #4
    Matthias_ ist offline Neuer Benutzer
    Themenstarter
    Registriert seit
    14.07.2016
    Beiträge
    2
    Danke
    2
    Erhielt 0 Danke für 0 Beiträge

    Standard

    Hallo,

    danke für Eure Antworten, ich glaube ich kann dann aufhören, den Fehler zu suchen

    Ich muss dann wohl in V2 (von Wago) bleiben, da die libs für diese Version sind und am besten auch einen Wago-Controller zum rumprobieren besorgen. Das scheint mir der am wenigsten frustrierende Weg zu sein.

    Grüße
    Matthias

  7. #5
    Registriert seit
    30.01.2015
    Ort
    Hansastraße 27, 32423 Minden
    Beiträge
    121
    Danke
    6
    Erhielt 24 Danke für 22 Beiträge

    Standard


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Hallo Matthias,

    deine Anfrage wäre im Wago Forum wahrscheinlich sinnvoller gewesen.

    Grundsätzlich wird unsere 750- Serie derzeit mit CoDeSys 2.3, bzw. die neue PFC Serie (auch) mit dem e!Cockpit programmiert.
    CoDeSys v3 wird nur von unserer Speedway Serie unterstützt.
    Ebenfalls werden die Wago Target-Dateien für die Projektierung benötigt, welche in der von uns geliefterten CoDeSys Version enthalten sind.
    Eine Konvertierung der 2.3 Bibliotheken in die anderen Umgebungen ist nicht ohne Weiteres möglich.
    Entsprechenden Bibliotheken für's e!Cockpit werden von uns zur Verfügung gestellt.
    Ihr/Euer

    WAGO Support Team
    WAGO Kontakttechnik GmbH & Co. KG
    http://www.wago.com
    mailto:support@wago.com
    phone: +49 (0) 571 887 - 555

Ähnliche Themen

  1. Antworten: 1
    Letzter Beitrag: 27.10.2015, 09:45
  2. Antworten: 4
    Letzter Beitrag: 06.11.2012, 11:54
  3. Antworten: 38
    Letzter Beitrag: 05.11.2012, 13:03
  4. Antworten: 3
    Letzter Beitrag: 13.12.2011, 09:29
  5. Antworten: 2
    Letzter Beitrag: 30.03.2009, 11:20

Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •